
log("SJNP - SUCCESSFULLY HOOKED CHARACTERTWEAKDATA")

local replacevoices = false

Hooks:PreHook(CharacterTweakData, "init", "NewPoliciaVoices_init_before", function(self, tweak_data)
	
	if tweak_data.levels:get_ai_group_type() == "federales" then
		replacevoices = true
	end
	
	log("SJNP - AI GROUP: " .. tostring(tweak_data.levels:get_ai_group_type()) .. " REPLACE VOICES? ".. tostring(replacevoices))
end)

Hooks:PostHook(CharacterTweakData, "init", "NewPoliciaVoices_init_after", function(self, tweak_data)
	
	-- Sometimes the voices work, sometimes they don't. This forces them to use the correct voices no matter what.
	if replacevoices then
		self.cop.speech_prefix_p1 = "m"
		self.cop.radio_prefix = "mex_"
		self.cop.use_radio = "mex_dispatch_generic_message"
		self.fbi.speech_prefix_p1 = "m"
		self.fbi.radio_prefix = "mex_"
		self.fbi.use_radio = "mex_dispatch_generic_message"
		self.swat.speech_prefix_p1 = "m"
		self.swat.radio_prefix = "mex_"
		self.swat.use_radio = "mex_dispatch_generic_message"
		self.heavy_swat.speech_prefix_p1 = "m"
		self.heavy_swat.radio_prefix = "mex_"
		self.heavy_swat.use_radio = "mex_dispatch_generic_message"
		self.fbi_swat.speech_prefix_p1 = "m"
		self.fbi_swat.radio_prefix = "mex_"
		self.fbi_swat.use_radio = "mex_dispatch_generic_message"
		self.fbi_heavy_swat.speech_prefix_p1 = "m"
		self.fbi_heavy_swat.radio_prefix = "mex_"
		self.fbi_heavy_swat.use_radio = "mex_dispatch_generic_message"
		self.city_swat.speech_prefix_p1 = "m"
		self.city_swat.radio_prefix = "mex_"
		self.city_swat.use_radio = "mex_dispatch_generic_message"
		
		self.taser.speech_prefix_p1 = "mtsr"
		self.taser.radio_prefix = "mex_"
		self.taser.use_radio = "mex_dispatch_generic_message"
		self.taser.special_deaths = nil
		
		self.shield.speech_prefix_p1 = "m"
		self.shield.radio_prefix = "mex_"
		self.shield.use_radio = "mex_dispatch_generic_message"
		
		self.tank.speech_prefix_p1 = "mbdz"
		self.tank.radio_prefix = "mex_"
		self.tank.use_radio = "mex_dispatch_generic_message"
		self.tank_medic.speech_prefix_p1 = "mbdz"
		self.tank_medic.radio_prefix = "mex_"
		self.tank_medic.use_radio = "mex_dispatch_generic_message"
		self.tank_mini.speech_prefix_p1 = "mbdz"
		self.tank_mini.radio_prefix = "mex_"
		self.tank_mini.use_radio = "mex_dispatch_generic_message"
		
		self.spooc.speech_prefix_p1 = "mclk"
		self.spooc.radio_prefix = "mex_"
		self.spooc.special_deaths = nil
	end
	
	self.shield.chatter = self.presets.enemy_chatter.swat
	self.shield.die_sound_event = nil
	self.sniper.chatter = self.presets.enemy_chatter.swat
end)

-- Kudos to Hoppip for this trick
local character_map_original = CharacterTweakData.character_map

function CharacterTweakData:character_map(...)
	
	local char_map = character_map_original(self, ...)
	
	table.insert(char_map.bex.list, "sjnp_beatcop_1")
	table.insert(char_map.bex.list, "sjnp_beatcop_2")
	table.insert(char_map.bex.list, "sjnp_beatcop_3")
	table.insert(char_map.bex.list, "sjnp_beatcop_4")
	table.insert(char_map.bex.list, "sjnp_hrt_1")
	table.insert(char_map.bex.list, "sjnp_hrt_2")
	table.insert(char_map.bex.list, "sjnp_hrt_3")
	table.insert(char_map.bex.list, "sjnp_swat_light_1")
	table.insert(char_map.bex.list, "sjnp_swat_light_2")
	table.insert(char_map.bex.list, "sjnp_swat_light_3")
	table.insert(char_map.bex.list, "sjnp_swat_medium_1")
	table.insert(char_map.bex.list, "sjnp_swat_medium_2")
	table.insert(char_map.bex.list, "sjnp_swat_taser")
	table.insert(char_map.bex.list, "sjnp_swat_shield_small_bearer")
	table.insert(char_map.bex.list, "sjnp_swat_heavy_1")
	table.insert(char_map.bex.list, "sjnp_swat_heavy_2")
	table.insert(char_map.bex.list, "sjnp_swat_mfr")
	table.insert(char_map.bex.list, "sjnp_swat_shield_large_bearer")
	table.insert(char_map.bex.list, "sjnp_swat_bulldozer")
	table.insert(char_map.bex.list, "sjnp_swat_cloaker")
	table.insert(char_map.bex.list, "sjnp_swat_medic")
	table.insert(char_map.bex.list, "sjnp_gendarmeria_light_1")
	table.insert(char_map.bex.list, "sjnp_gendarmeria_light_2")
	table.insert(char_map.bex.list, "sjnp_gendarmeria_mfr")
	table.insert(char_map.bex.list, "sjnp_gendarmeria_taser")
	table.insert(char_map.bex.list, "sjnp_gendarmeria_shield_large_bearer")
	table.insert(char_map.bex.list, "sjnp_gendarmeria_bulldozer_1")
	table.insert(char_map.bex.list, "sjnp_gendarmeria_bulldozer_2")
	table.insert(char_map.bex.list, "sjnp_gendarmeria_medic")
	table.insert(char_map.bex.list, "sjnp_marina_light")
	table.insert(char_map.bex.list, "sjnp_marina_mfr")
	table.insert(char_map.bex.list, "sjnp_marina_taser")
	table.insert(char_map.bex.list, "sjnp_marina_shield_large_bearer")
	table.insert(char_map.bex.list, "sjnp_marina_bulldozer_1")
	table.insert(char_map.bex.list, "sjnp_marina_bulldozer_2")
	table.insert(char_map.bex.list, "sjnp_marina_bulldozer_medic")
	table.insert(char_map.bex.list, "sjnp_marina_cloaker")
	table.insert(char_map.bex.list, "sjnp_marina_medic")
	
	return char_map
end

